@import url('https://fonts.googleapis.com/css?family=Nunito+Sans:400,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;

body,
html {
  font-family: 'Poppins', sans-serif;
}

.rtl {
  direction: rtl;
}

.ltr {
  direction: ltr;
}

/* over-ride p tags inside li tags to have no padding.
 * This is a hack to use generated markdown (originally for the rules page)
 */
.md-li p {
  padding: 0 !important;
  display: inline;
}

.md-ol {
  counter-reset: item;
}

.md-ol > .md-li {
  display: block;
}

.md-ol > .md-li:before {
  content: counters(item, '.') '. ';
  counter-increment: item;
  font-weight: bold;
}

/* Add extra left padding to nested list items */
.list-decimal .list-disc > li,
.list-decimal .list-decimal > li,
.list-disc .list-disc > li,
.list-disc .list-decimal > li {
  padding-left: 1.25rem;
}

.list-disc {
  padding-left: 1.25rem;
}

@layer base {
  a {
    @apply text-secondary hover:text-cyber-blue-500;
  }
  p {
    @apply text-cyber-blue-900;
  }
}
